Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryFieldInfo

    java.lang.Object
      jet.api.QueryFieldInfo

    public class QueryFieldInfo

extends java.lang.Object

Constructor Summary
`QueryFieldInfo()` Constructor.
`QueryFieldInfo(java.lang.String tablename)` Constructor.
`QueryFieldInfo(java.lang.String tablename, java.lang.String fieldname)` Constructor.

Method Summary
`void` | `add(java.lang.String tablename)` Adds a set of columns of the specified table into the query.
`void` | `add(java.lang.String tablename, java.lang.String fieldname)` Adds a column into the query's definition.
`void` | `addFormula(java.lang.String fmlname)` Adds a formula field into the query's definition.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryFieldInfo

    public QueryFieldInfo()

  Constructor. Creates definition of the specified fields that are set in a query. The QueryFieldInfo defines all columns of a query.

### QueryFieldInfo

    public QueryFieldInfo(java.lang.String tablename,
                          java.lang.String fieldname)

  Constructor. Creates definition of the specified fields that are set in a query, and it also defines a column in the query.

  Parameters:
    `tablename` - Specifies the table name of the specified field in the query.
    `fieldname` - Specifies the name of the specified field.

### QueryFieldInfo

    public QueryFieldInfo(java.lang.String tablename)

  Constructor. Creates definition of the specified fields that are set in the query. And it also adds a set of columns of the specified table into the query.

  Parameters:
    `tablename` - Specifies the name of the table.

Method Detail

### add

    public void add(java.lang.String tablename)

  Adds a set of columns of the specified table into the query.

  Parameters:
    `tablename` - Specifies the name of the table.

### add

    public void add(java.lang.String tablename,
                    java.lang.String fieldname)

  Adds a column into the query's definition.

  Parameters:
    `tablename` - Specifies the name of the table which contains the specified field.
    `fieldname` - Specifies the name of the field.

### addFormula

    public void addFormula(java.lang.String fmlname)

  Adds a formula field into the query's definition.

  Parameters:
    `fmlname` - Specifies the name of the formula.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD